#!/bin/bash

set -x

IMAGE_NAME=numberimage

docker build --progress=plain -t $IMAGE_NAME .


. load-debug-env

docker run \
  -it \
  --rm \
  -e "REDIS_URL=$REDIS_URL" \
  -e "SECRET_KEY=$SECRET_KEY" \
  -e "OIDC_CLIENT_SECRETS=$OIDC_CLIENT_SECRETS" \
  -e "PGHOST=$PGHOST" \
  -e "PGDATABASE=$PGDATABASE" \
  -e "PGSSLMODE=$PGSSLMODE" \
  -e "PGUSER=$PGUSER" \
  -e "PGPASSWORD=$PGPASSWORD" \
  -p 8080:8080 \
  $IMAGE_NAME

